Page MenuHomePhabricator

when selecting plain text in the target column, show a source link card only if an article exists in the source wiki that corresponds to the target topic
Closed, ResolvedPublic

Description

Selecting plain (non-link) text in the target column shows two link cards: source and target.

Showing the source link in such a case seems unnecessary. It causes T102115, which definitely must be fixed, because links cannot be added to the source wiki. But I think even further - the source card probably shouldn't be shown in such a case at all.

There are several cases:

  1. The page with the selected title doesn't exist in the target wiki. In this case, there should be a possibility to add a red link (although this may become different after T89953 is done), but I don't see a reason to show a source link card.
  2. The page with the selected title exists in the target wiki. In this case it makes sense to add a link to it, but which source card should be shown, if at all? "Gos", for example, is "Dog" in Catalan, so if I select "Gos" when I translate from English to Catalan, which source link should be shown en.wikipedia.org/wiki/Gos or en.wikipedia.org/wiki/Dog ? I'd argue that neither is really needed, although maybe it's good for design to show two cards whenever possible for consistency whenever possible. @Pginer-WMF, what do you think? And if the source article doesn't exist, is it useful to show anything?

Event Timeline

Amire80 created this task.Jun 11 2015, 1:43 PM
Amire80 raised the priority of this task from to Needs Triage.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Amire80, Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2015, 1:43 PM

The purpose of showing the source link is to allow exploration. That can be useful in some contexts where you may need to navigate to other articles to get information about them, and also keeps things consistent. T102115 definitely needs to be fixed, but it is not "caused" by this.

Card pairs should show articles for equivalent concepts always ("Gos" in Catalan and "Dog" in English in your example). Showing articles that happen to have the same name in different languages just adds confusion. If the source article does not exist, we won't show the source card as an indication of that (later we can consider to allow user to mark it as a translation for later once T96147 is in place).

Amire80 triaged this task as Normal priority.Jun 11 2015, 2:09 PM
Amire80 set Security to None.
Amire80 moved this task from Backlog to Links on the ContentTranslation-Release5 board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:10 PM
Amire80 raised the priority of this task from Normal to High.Jul 2 2015, 2:04 PM
Amire80 edited projects, added ContentTranslation-Release6; removed Design.
Amire80 renamed this task from don't show the source link card when selecting plain text in the target column to when selecting plain text in the target column, show a source link card only if an article exists in the source wiki that corresponds to the target topic.Aug 5 2015, 9:01 AM

OK, I agree that a source link card can be shown, if:

  • There is an article in the target wiki with the selected text.
  • There is an article in the source wiki with the corresponding topic.

So, in the case of translating from English to Catalan, selecting "Gos" in the target column must show en:Dog and ca:Gos.

Arrbee edited a custom field.Aug 12 2015, 7:20 AM
Arrbee lowered the priority of this task from High to Normal.Aug 12 2015, 7:29 AM

Removing from the sprint, but should be tested after resolving T85932.

Adding to the sprint for Runa to test.

Amire80 moved this task from Backlog to QA on the LE-CX6-Sprint 4 board.Sep 21 2015, 7:48 AM
Arrbee added a subscriber: Arrbee.EditedSep 21 2015, 1:03 PM

@Amire80 can you please check? I don't think this is the expected result. Do note, automatic link adaptation however points to the correct source link card i.e. en:Dog.

Indeed, still a bug, but probably not a high-prio any longer. The source card should match the target card, and this should be fixed, but what is more important is that now if the target link doesn't exist, we suggest adding a red link rather than a link to a wrong article, so this is not as destructive as it used to be.

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:45 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 19 2015, 8:02 AM
Amire80 edited a custom field.
Arrbee raised the priority of this task from Normal to Needs Triage.Oct 15 2018, 9:12 AM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.
Pginer-WMF closed this task as Resolved.Oct 15 2018, 2:42 PM
Pginer-WMF claimed this task.

This is working as expected in version 2: